classification
Title: idlelib/rpc.py missing exit status on exithook
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: roger.serwy Nosy List: gpolo, python-dev, roger.serwy, serhiy.storchaka, terry.reedy
Priority: low Keywords: patch

Created on 2009-08-05 16:21 by gpolo, last changed 2013-04-07 07:23 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
missing_exitstatus.diff gpolo, 2009-08-05 16:21 review
Messages (5)
msg91322 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-08-05 16:21
SocketIO.exithook on idlelib/rpc.py is missing the exit status, this is
a minor issue since both client and server used on IDLE override this
method to do something else.
msg158295 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2012-04-14 22:47
The existing code will raise an error since os._exit requires an argument. http://docs.python.org/library/os.html#os._exit

The patch looks good to me.
msg185616 - (view) Author: Roundup Robot (python-dev) Date: 2013-03-31 06:18
New changeset e044d22d2f61 by Roger Serwy in branch '2.7':
#6649: Fixed missing exit status in IDLE. Patch by Guilherme Polo.
http://hg.python.org/cpython/rev/e044d22d2f61

New changeset cd2c613527ed by Roger Serwy in branch '3.3':
#6649: Fixed missing exit status in IDLE. Patch by Guilherme Polo.
http://hg.python.org/cpython/rev/cd2c613527ed

New changeset abbbe1f90635 by Roger Serwy in branch 'default':
#6649: merge with 3.3.
http://hg.python.org/cpython/rev/abbbe1f90635
msg185617 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2013-03-31 06:20
Thanks for the patch, Guilherme!
msg186180 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-04-07 07:23
Congratulation with your first CPython commit, Roger!
History
Date User Action Args
2013-04-07 07:23:22serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg186180
2013-03-31 06:20:57roger.serwysetstatus: open -> closed
versions: + Python 3.3, Python 3.4, - Python 2.6, Python 3.1
messages: + msg185617

resolution: fixed
stage: resolved
2013-03-31 06:18:30python-devsetnosy: + python-dev
messages: + msg185616
2013-03-31 04:07:07roger.serwysetassignee: roger.serwy
type: behavior
2012-04-26 00:28:50roger.serwysetnosy: + terry.reedy
2012-04-14 22:47:30roger.serwysetnosy: + roger.serwy
messages: + msg158295
2009-08-05 16:21:07gpolocreate